@echo off
setlocal

set _WVCM_HOME=%WVCM_HOME%
if "%_WVCM_HOME%" == "" set _WVCM_HOME=..

rem add all jars from lib to classpath
set LOCALCLASSPATH=%_WVCM_HOME%\build\classes
for %%i in ("%_WVCM_HOME%\lib\*.jar") do call "%_WVCM_HOME%\bin\lcp.bat" %%i

set MAINCLASS=junit.swingui.TestRunner
if not "%1" == "" set MAINCLASS=%1 && shift

java -classpath "%LOCALCLASSPATH%" %MAINCLASS% %1 %2 %3 %4 %5 %6 %7 %8 %9

endlocal